Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1061407 - avoid unwanted translations by using string substitution for words like "subscription-manager".
Summary: avoid unwanted translations by using string substitution for words like "subs...
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: subscription-manager
Version: 6.6
Hardware: Unspecified
OS: Unspecified
medium
low
Target Milestone: rc
: ---
Assignee: William Poteat
QA Contact: John Sefler
URL:
Whiteboard:
Depends On: 1118020
Blocks: rhsm-rhel68
TreeView+ depends on / blocked
 
Reported: 2014-02-04 19:13 UTC by John Sefler
Modified: 2015-12-17 12:28 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-12-16 13:47:12 UTC


Attachments (Terms of Use)

Description John Sefler 2014-02-04 19:13:07 UTC
Description of problem:

For words that we do NOT want translated like "subscription-manager", "python-rhsm", "Red Hat". etc, we should start using string substitution so that they do NOT get translated within a string that is marked for translation.

In otherwords, a msgid extracted for translation like this...
"Do you have the subscription-manager-migration-data package installed?"

should really look like this...
"Do you have the %s package installed?"

This will help avoid bugs like these....
  bug 906552
  bug 906567
  bug 906967
  bug 950099
  bug 957195
  bug 984203
  bug 1061393

  bug 928082
  bug 928073
  bug 891377
  bug 891434
  bug 891375

  bug 891375
  bug 891378
  bug 891380
  bug 891383
  bug 891384
  bug 891386

Comment 2 Carter Kozak 2014-02-19 17:00:06 UTC
commit 758ffc360554893fbe588d4bc684472881f47a3e
Author: ckozak <ckozak@redhat.com>
Date:   Tue Feb 18 09:14:23 2014 -0500

    1061407: don't allow some translations

Comment 4 John Sefler 2014-07-09 21:17:37 UTC
Verification of this bug depends on resolution to bug 1118020.

Comment 5 John Sefler 2014-08-25 21:38:22 UTC
Testing version....
[root@jsefler-6 ~]# rpm -q subscription-manager
subscription-manager-1.12.13-1.git.3.58ef205.el6.x86_64


[root@jsefler-6 ~]# msgunfmt --no-wrap /usr/share/locale/ta_IN/LC_MESSAGES/rhsm.mo | grep -A1 -i "subscription-manager"
msgid "This system is not yet registered. Try 'subscription-manager register --help' for more information."
msgstr "இந்த கணினி இன்னும் பதிவு செய்யப்படவில்லை. மேலும் தகவலுக்கு 'subscription-manager register --help'-ஐ பார்க்கவும்."

--
msgid "View and configure subscription-manager plugins"
msgstr "சந்தா-நிர்வாகி செருகுநிரல்களைக் கண்டு அமைவாக்கம் செய்யவும்"
--
msgid "subscription-manager is disabled when running inside a container. Please refer to your host system for subscription management.\n"
msgstr "ஒரு கன்டெய்னருக்குள் இயங்கும் போது சந்தா நிர்வாகி முடக்கப்படும். சந்தா நிர்வாகத்திற்கு உங்கள் வழங்கி கணினியைப் பார்க்கவும்.\n"
[root@jsefler-6 ~]# 



FAILED: All three msgid strings above fail to use string substitution to prevent unwanted translations of "subscription-manager".

Comment 8 Bryan Kearney 2014-11-03 19:47:54 UTC
Moving bugs to 6.7

Comment 9 Bryan Kearney 2014-11-03 19:48:58 UTC
Moving bugs to 6.7

Comment 10 Bryan Kearney 2014-11-03 19:49:48 UTC
Moving bugs to 6.7

Comment 11 Bryan Kearney 2014-11-03 19:53:34 UTC
Moving bugs to 6.7

Comment 14 William Poteat 2015-12-16 13:47:12 UTC
Will leave the strings as is. We will continue to rely on the translators to not translate command line words.


Note You need to log in before you can comment on or make changes to this bug.